Reauthenticate before account deletion
POST
/_torii/users/me/delete/oauth2
const url = 'https://your-app.toriiauth.eu/_torii/users/me/delete/oauth2';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"provider":"example","redirectPath":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-app.toriiauth.eu/_torii/users/me/delete/oauth2 \ --header 'Content-Type: application/json' \ --data '{ "provider": "example", "redirectPath": "example" }'Starts an OAuth2 flow that deletes the account only after the same linked identity reauthenticates.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Host
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
provider
required
string
redirectPath
required
string
Examplegenerated
{ "provider": "example", "redirectPath": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
authorizationUrl
required
string
Examplegenerated
{ "authorizationUrl": "example"}